Name:		gcx
Version:	0.9.11
Release:	3%{?dist}
Summary:	Data-reduction tool for CCD photometry

License:	GPLv2+
Group:		Applications/Engineering
URL:		http://sourceforge.net/projects/gcx/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	gcx.desktop
Source2:	gcx.svg

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	gnuplot
BuildRequires:	gtk+-devel, desktop-file-utils

%description
GCX provides a complete set of data-reduction
functions for CCD photometry, accessible both
from a GUI and the command line. It also controls
CCD cameras and telescopes, and implements
automatic observation scripting.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 src/gcx $RPM_BUILD_ROOT%{_bindir}/gcx
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/gcx/gcx.svg
desktop-file-install --vendor fedora --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gcx
%{_datadir}/applications/fedora-gcx.desktop
%{_datadir}/gcx

%changelog
* Mon Dec 31 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.9.11-3
- Initial release.
